Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737869 - wammu depends on Python 2 [NEEDINFO]
Summary: wammu depends on Python 2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wammu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL 1739460
TreeView+ depends on / blocked
 
Reported: 2019-08-06 10:06 UTC by Lumír Balhar
Modified: 2019-10-31 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-31 16:07:46 UTC
Type: Bug
mhroncok: needinfo? (lxtnow)


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 10:06:50 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for wammu's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to wammu.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:47:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-15 07:26:29 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Lumír Balhar 2019-08-22 06:51:18 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Sergio Basto 2019-08-22 13:54:30 UTC
I'm in holidays until 2 September , may not have time to updated before ...

Comment 5 Petr Viktorin 2019-08-26 11:45:37 UTC
That's OK. There's a few months of time.
Have a great holiday!

Comment 6 Sergio Basto 2019-09-03 01:07:17 UTC
https://github.com/gammu/wammu/issues/78 , still confuse ...

Comment 7 Sergio Basto 2019-09-06 16:20:59 UTC
The same issue is on Debian, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=938807 and some progress in git master

Comment 8 Sergio Basto 2019-09-06 16:26:55 UTC
https://pagure.io/fesco/issue/2224

Comment 9 Miro Hrončok 2019-09-10 17:35:46 UTC
In https://pagure.io/fesco/issue/2224 Sergio wrote:

> Upstream seems will not port it to Pyhton 3, we may orpan it Please

However Xavier (alone) is offcially the maintainer, not Sergio.

Xavier, Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 10 Sergio Basto 2019-09-10 17:45:31 UTC
Hi,

Miro , I remove myself as admin just a few minutes ago, Xavier in an member of RPMFusion and just respond on high priority problems , he doesn't commit anything since a long time , maybe we can proceed ... (instead waiting for unresponsive procedure) ...

Comment 11 Miro Hrončok 2019-09-10 18:19:58 UTC
I cannot just orphan other people packages without proper procedure, sorry. There are 3 comments with "please answer ... can be orphaned", so after one more week, we can do that.

Comment 12 Miro Hrončok 2019-09-18 10:54:29 UTC
Orphaned.

Comment 13 Miro Hrončok 2019-10-31 16:07:46 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement


Note You need to log in before you can comment on or make changes to this bug.